#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

[Unit]
Description=blackbox exporter
Wants=network-online.target
After=network-online.target

[Service]
Type=simple
User={{ blackbox_exporter_runas_user }}
Group={{ blackbox_exporter_runas_group }}
EnvironmentFile=/etc/default/blackbox_exporter
ExecStart=/usr/local/bin/blackbox_exporter $OPTIONS
ExecReload=/bin/kill -HUP $MAINPID
SyslogIdentifier={{ blackbox_exporter_service | regex_replace('\\.service','') }}
Restart=always

[Install]
WantedBy=multi-user.target
